image: docker:20

services:
  - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375

build:
  stage: build

  variables:
    IMAGE_TAG: "$CI_REGISTRY_IMAGE:latest"

  before_script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login -u "$CI_REGISTRY_USER" --password-stdin "$CI_REGISTRY"

  script:
    - docker build -t "$IMAGE_TAG" .
    - docker push "$IMAGE_TAG"
